Subject: bug#25601: Possible need for an update to the \TeX "preview" package.

From: Arash Esbati <[email-masked]>
Date: Tue, 05 Mar 2024 08:41:54 +0100

Arash Esbati <[email-masked]> writes:

> Arash Esbati <[email-masked]> writes:
>
>> Emmanuel Charpentier <[email-masked]> writes:
>>
>>> I recently stumbled on a  problem that is not specifically bound to
>>> preview, but shows that a (slight) revision may be in order. See the
>>> transcript of a thread in comp.text.tex at
>>> https://groups.google.com/forum/#!topic/comp.text.tex/umzerAdDkX0 .
>>>
>>> Working on this problem, I saw that preview had an option specific to
>>> the XeLaTeX compiler. This made me think that an analogous solution
>>> was needed for the LuaTeX compiler, which uses the same mechanisms for
>>> font loading and font metrics. However, I do not know welle enough the
>>> internals of these engines to determine if the solution used for
>>> XeLaTeX can be applied to LuaTeX, of if specific actions are needed.
>>>
>>> Do you think that a slight revision of your package could be done (if
>>> only to document how to use it with LuaLaTeX) ?
>>
>> Thanks for your report.  For the records, LuaTeX and pdfTeX used to
>> share some primitives like \pdfoutput, \pdfvorigin, \pdfhorigin,
>> \pdfpageheight and \pdfpagewidth.  With the advent of LuaTeX 0.85,
>> LuaTeX uses other names for these primitives and hence the code in
>> preview.sty does not work with this engine.
>>
>> One can solve the issue by doing:
>>
>>     \RequirePackage{luatex85}
>>     \documentclass{article}
>>     ...
>>
>> I will try to update this in preview.pdf.  But the real solution will
>> have to wait.
>
> Following up myself, I had a discussion with maintainer of pst-pdf and
> it seems that it is not easy to make preview support recent luatex
> natively.  Hence, I added the following line to preview.dtx:
>
>     \IfFileExists{luatex85.sty}{\RequirePackage{luatex85}}{}
>
> Emmanuel, do you have a chance to install the latest preview from AUCTeX
> git and give it roll?

The suggestion above was installed with cf6480c521.  Therefore, I'm
closing this report.

Best, Arash